Bug 61168 - Installer crashed with message to relay given info.
Summary: Installer crashed with message to relay given info.
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901
TreeView+ depends on / blocked
 
Reported: 2002-03-14 19:00 UTC by Dennis Lattka
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 19:29:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump file (52.83 KB, text/plain)
2002-03-14 19:00 UTC, Dennis Lattka
no flags Details
ks.cfg (1.08 KB, text/plain)
2002-03-15 18:24 UTC, Dennis Lattka
no flags Details

Description Dennis Lattka 2002-03-14 19:00:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
given message is attached.(anacdump.txt)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create boot diskette using either boot.img or bootnet.img 
2.use ksconfig to create kickstart file
3.text only ( no graphic installer)
4. check out attachment for further details
	

Actual Results:  It crashes with message that it is most likely a bug and to
report it to http://bugzilla.redhat.com/bugzilla

Expected Results:  It should have installed RH 7.2 without prompting for any info.

Additional info:

Comment 1 Dennis Lattka 2002-03-14 19:00:57 UTC
Created attachment 48504 [details]
Anaconda dump file

Comment 2 Jeremy Katz 2002-03-14 23:19:59 UTC
Are you changing your comps file at all?  What does the kickstart config you are
using look like?

Comment 3 Dennis Lattka 2002-03-15 18:23:37 UTC
The question was asked by katzj@redhat.com what the kickstart file looked like
and if I had modified the comps file. I did not modify the comps file but used
that found on the CD. I did manage to find a work around, however. I saw at the
bottom of the dump file that the error was triggered by (i386)GRUB. So I created
an identical kickstart file except chose the option to use LILO instead of
GRUB.Ran into anther problem like having to force primary partitions but that is
not related to the anacdump. Attached is the working ks.cfg. I don;t have the
nonfunctional ks.cfg as it was modified by using the above mentioned modifications.

Comment 4 Dennis Lattka 2002-03-15 18:24:57 UTC
Created attachment 48665 [details]
ks.cfg

Comment 5 Jeremy Katz 2002-03-18 19:52:13 UTC
Was what was included in the ks.cfg

"i386: grub"

or jsut 

"grub"

(without quotes)?

Comment 6 Dennis Lattka 2002-03-18 20:52:21 UTC
No mention of grub is made what so ever. Used default for bootloader config
using ksconfig-1.9.8-4.i386.rpm. Only mention of grub is in anacdump.txt which
states:

KeyError: i386: grub
Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 8279958>
item: i386: grub

Using lilo instead of default (grub) works (no dump).


Comment 7 Michael Fulbright 2002-04-01 17:40:25 UTC
I was able to get this ks file to work once I removed these non-existant packages:

 emacs-nox
 linuxconf



Note You need to log in before you can comment on or make changes to this bug.